Bug 208830 - net/wireshark SSL decryption depends on GnuTLS _and_ gcrypt
Summary: net/wireshark SSL decryption depends on GnuTLS _and_ gcrypt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-16 13:27 UTC by hannes
Modified: 2016-05-03 00:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hannes 2016-04-16 13:27:49 UTC
the option dialog presents that SSL decryption is enabled if you add GnuTLS support, while both their documentation https://wiki.wireshark.org/SSL and an actual test shows that you won't be able to decrypt SSL payloads unless you have both GnuTLS and gcrypt support in wireshark.
Comment 1 Joe Marcus Clarke freebsd_committer 2016-04-19 15:34:29 UTC
Fixed.  Thanks for the report.
Comment 2 commit-hook freebsd_committer 2016-04-19 15:34:45 UTC
A commit references this bug:

Author: marcus
Date: Tue Apr 19 15:33:46 UTC 2016
New revision: 413652
URL: https://svnweb.freebsd.org/changeset/ports/413652

Log:
  Merge the GnuTLS and libgcrypt OPTIONS into one as both are required
  for decryption support.

  PR:		208830

Changes:
  head/net/wireshark/Makefile
Comment 3 commit-hook freebsd_committer 2016-05-03 00:02:16 UTC
A commit references this bug:

Author: junovitch
Date: Tue May  3 00:01:22 UTC 2016
New revision: 414495
URL: https://svnweb.freebsd.org/changeset/ports/414495

Log:
  MFH: r413652 r414124

  Merge the GnuTLS and libgcrypt OPTIONS into one as both are required
  for decryption support.

  PR:		208830

  Update to 2.0.3.

  See https://www.wireshark.org/docs/relnotes/wireshark-2.0.3.html for the
  list of changes in this release.

  Security:	https://vuxml.FreeBSD.org/freebsd/7e36c369-10c0-11e6-94fa-002590263bf5.html
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/net/wireshark/Makefile
  branches/2016Q2/net/wireshark/distinfo
  branches/2016Q2/net/wireshark/pkg-plist